export class BaseElement extends HTMLElement {
    private _hasConnectedCallback: boolean = false;
    connectedCallback() {

        if (!this._hasConnectedCallback) {
            this.onInit();
        }
        else {
            this.onUpdate();
        }

        this._hasConnectedCallback = true;

    }

    onInit() { }
    onUpdate() { }
}